Package org.apache.sling.scripting.sightly.impl.compiler.frontend

## Class SimpleFrontend

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.frontend.SimpleFrontend

    public class SimpleFrontend
    extends Object

DOM-based compiler implementation

### Constructor Summary

Constructors
`SimpleFrontend​(List<Plugin> plugins, List<Filter> filters, Set<String> knownExpressionOptions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `compile​(PushStream stream, String source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleFrontend

    public SimpleFrontend​(List<Plugin> plugins,
                          List<Filter> filters,
                          Set<String> knownExpressionOptions)

### Method Detail

#### compile

    public void compile​(PushStream stream,
                        String source)